#
# spec file for package qlogic-qla2xxx (Version 10.01.00.52.15.1-k)
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           qlogic-qla2xxx
#BuildRequires:  kernel-syms module-init-tools
License:        GPL-2.0
Group:          System/Kernel
Summary:        Device Driver for Cavium/QLogic FC HBAs
Version:        10.01.00.52.15.1.k
URL:            https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
Release:        1.1
Source0:        qla2xxx-src-v10.01.00.52.15.1-k.tar.gz
BuildRequires:  %kernel_module_package_buildreqs
BuildRequires: pciutils-ids
Requires: pciutils-ids
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define builddir	%{name}-%{version}
%define driverdir	drivers/block

%kernel_module_package 

#kdump um ec2

Supplements:    modalias(pci:v00001077d00002261sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002271sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002071sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00008044sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d0000F001sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00008031sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00008021sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00008001sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002031sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002532sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00005432sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00005422sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00008432sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002432sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002422sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00006322sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00006312sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002322sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002312sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002300sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002200sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002100sv*sd*bc*sc*i*)

%description
Cavium/QLogica Linux Device Driver for Fibre Channel Host Bus Adapters.

%package KMP

Summary:        Cavium/QLogic qla2xxx driver
Group:          System/Kernel

%description KMP
This is one of the sub-packages for a specific kernel. All the
sub-packages will share the same summary, group, and description.

%prep
%setup -n qla2xxx-10.01.00.52.15.1-k
echo "qla2xxx.ko external" > Module.supported
echo "tcm-qla2xxx.ko external" >> Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor \
        CONFIG_SCSI_QLA_FC=m CONFIG_TCM_QLA2XXX=m
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor
done

%clean
rm -rf %{buildroot}

%changelog
* Thu Mar  1 2018 hare@suse.de
- Update qla2xx source code to fix login issues (bsc#1081681)
* Fri Feb 16 2018 hare@suse.de
- Initial KMP package, version 10.00.00.04-k
